/*
 * Copyright (c) Citrix Systems, Inc. 
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation, with the additional linking exception as
 * follows:
 *
 *   Linking this library statically or dynamically with other modules is
 *   making a combined work based on this library. Thus, the terms and
 *   conditions of the GNU General Public License cover the whole combination.
 *
 *   As a special exception, the copyright holders of this library give you
 *   permission to link this library with independent modules to produce an
 *   executable, regardless of the license terms of these independent modules,
 *   and to copy and distribute the resulting executable under terms of your
 *   choice, provided that you also meet, for each linked independent module,
 *   the terms and conditions of the license of that module. An independent
 *   module is a module which is not derived from or based on this library. If
 *   you modify this library, you may extend this exception to your version of
 *   the library, but you are not obligated to do so. If you do not wish to do
 *   so, delete this exception statement from your version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

using System;
using System.Collections.Generic;


namespace XenAPI
{
    public enum host_allowed_operations
    {
        provision, evacuate, shutdown, reboot, power_on, vm_start, vm_resume, vm_migrate, unknown
    }

    public static class host_allowed_operations_helper
    {
        public static string ToString(host_allowed_operations x)
        {
            switch (x)
            {
                case host_allowed_operations.provision:
                    return "provision";
                case host_allowed_operations.evacuate:
                    return "evacuate";
                case host_allowed_operations.shutdown:
                    return "shutdown";
                case host_allowed_operations.reboot:
                    return "reboot";
                case host_allowed_operations.power_on:
                    return "power_on";
                case host_allowed_operations.vm_start:
                    return "vm_start";
                case host_allowed_operations.vm_resume:
                    return "vm_resume";
                case host_allowed_operations.vm_migrate:
                    return "vm_migrate";
                default:
                    return "unknown";
            }
        }
    }
}
